/*******************************************************************************
* File Name: ProgramControl_SampleClk.h
* Version 2.20
*
*  Description:
*   Provides the function and constant definitions for the clock component.
*
*  Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CLOCK_ProgramControl_SampleClk_H)
#define CY_CLOCK_ProgramControl_SampleClk_H

#include <cytypes.h>
#include <cyfitter.h>


/***************************************
*        Function Prototypes
***************************************/
#if defined CYREG_PERI_DIV_CMD

void ProgramControl_SampleClk_StartEx(uint32 alignClkDiv);
#define ProgramControl_SampleClk_Start() \
    ProgramControl_SampleClk_StartEx(ProgramControl_SampleClk__PA_DIV_ID)

#else

void ProgramControl_SampleClk_Start(void);

#endif/* CYREG_PERI_DIV_CMD */

void ProgramControl_SampleClk_Stop(void);

void ProgramControl_SampleClk_SetFractionalDividerRegister(uint16 clkDivider, uint8 clkFractional);

uint16 ProgramControl_SampleClk_GetDividerRegister(void);
uint8  ProgramControl_SampleClk_GetFractionalDividerRegister(void);

#define ProgramControl_SampleClk_Enable()                         ProgramControl_SampleClk_Start()
#define ProgramControl_SampleClk_Disable()                        ProgramControl_SampleClk_Stop()
#define ProgramControl_SampleClk_SetDividerRegister(clkDivider, reset)  \
    ProgramControl_SampleClk_SetFractionalDividerRegister((clkDivider), 0u)
#define ProgramControl_SampleClk_SetDivider(clkDivider)           ProgramControl_SampleClk_SetDividerRegister((clkDivider), 1u)
#define ProgramControl_SampleClk_SetDividerValue(clkDivider)      ProgramControl_SampleClk_SetDividerRegister((clkDivider) - 1u, 1u)


/***************************************
*             Registers
***************************************/
#if defined CYREG_PERI_DIV_CMD

#define ProgramControl_SampleClk_DIV_ID     ProgramControl_SampleClk__DIV_ID

#define ProgramControl_SampleClk_CMD_REG    (*(reg32 *)CYREG_PERI_DIV_CMD)
#define ProgramControl_SampleClk_CTRL_REG   (*(reg32 *)ProgramControl_SampleClk__CTRL_REGISTER)
#define ProgramControl_SampleClk_DIV_REG    (*(reg32 *)ProgramControl_SampleClk__DIV_REGISTER)

#define ProgramControl_SampleClk_CMD_DIV_SHIFT          (0u)
#define ProgramControl_SampleClk_CMD_PA_DIV_SHIFT       (8u)
#define ProgramControl_SampleClk_CMD_DISABLE_SHIFT      (30u)
#define ProgramControl_SampleClk_CMD_ENABLE_SHIFT       (31u)

#define ProgramControl_SampleClk_CMD_DISABLE_MASK       ((uint32)((uint32)1u << ProgramControl_SampleClk_CMD_DISABLE_SHIFT))
#define ProgramControl_SampleClk_CMD_ENABLE_MASK        ((uint32)((uint32)1u << ProgramControl_SampleClk_CMD_ENABLE_SHIFT))

#define ProgramControl_SampleClk_DIV_FRAC_MASK  (0x000000F8u)
#define ProgramControl_SampleClk_DIV_FRAC_SHIFT (3u)
#define ProgramControl_SampleClk_DIV_INT_MASK   (0xFFFFFF00u)
#define ProgramControl_SampleClk_DIV_INT_SHIFT  (8u)

#else 

#define ProgramControl_SampleClk_DIV_REG        (*(reg32 *)ProgramControl_SampleClk__REGISTER)
#define ProgramControl_SampleClk_ENABLE_REG     ProgramControl_SampleClk_DIV_REG
#define ProgramControl_SampleClk_DIV_FRAC_MASK  ProgramControl_SampleClk__FRAC_MASK
#define ProgramControl_SampleClk_DIV_FRAC_SHIFT (16u)
#define ProgramControl_SampleClk_DIV_INT_MASK   ProgramControl_SampleClk__DIVIDER_MASK
#define ProgramControl_SampleClk_DIV_INT_SHIFT  (0u)

#endif/* CYREG_PERI_DIV_CMD */

#endif /* !defined(CY_CLOCK_ProgramControl_SampleClk_H) */

/* [] END OF FILE */
