/*******************************************************************************
* File Name: ProgramControl_TunerHelper.h
* Version 2.0
*
* Description:
*  This file provides constants and structure declarations for the tuner helper
*  APIs for the CapSense CSD component.
*
* Note:
*
********************************************************************************
* Copyright 2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CAPSENSE_CSD_TUNERHELPER_ProgramControl_H)
#define CY_CAPSENSE_CSD_TUNERHELPER_ProgramControl_H

#include "ProgramControl.h"
#include "ProgramControl_CSHL.h"
#if (ProgramControl_TUNER_API_GENERATE)
    #include "ProgramControl_MBX.h"
#endif /* (ProgramControl_TUNER_API_GENERATE) */


/***************************************
*     Constants for mailboxes
***************************************/

#define ProgramControl_DEFAULT_MAILBOXES_NUMBER   (1u)


/***************************************
*        Function Prototypes
***************************************/

void ProgramControl_TunerStart(void);
void ProgramControl_TunerComm(void);

#if (ProgramControl_TUNER_API_GENERATE)

   ProgramControl_NO_STRICT_VOLATILE void ProgramControl_ProcessAllWidgets(volatile ProgramControl_OUTBOX *outbox);

#endif /* (ProgramControl_TUNER_API_GENERATE) */

#endif  /* (CY_CAPSENSE_CSD_TUNERHELPER_ProgramControl_H)*/


/* [] END OF FILE */
