/*******************************************************************************
* File Name: Relay1.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Relay1_H) /* Pins Relay1_H */
#define CY_PINS_Relay1_H

#include "cytypes.h"
#include "cyfitter.h"
#include "Relay1_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Relay1_Write(uint8 value) ;
void    Relay1_SetDriveMode(uint8 mode) ;
uint8   Relay1_ReadDataReg(void) ;
uint8   Relay1_Read(void) ;
uint8   Relay1_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Relay1_DRIVE_MODE_BITS        (3)
#define Relay1_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - Relay1_DRIVE_MODE_BITS))

#define Relay1_DM_ALG_HIZ         (0x00u)
#define Relay1_DM_DIG_HIZ         (0x01u)
#define Relay1_DM_RES_UP          (0x02u)
#define Relay1_DM_RES_DWN         (0x03u)
#define Relay1_DM_OD_LO           (0x04u)
#define Relay1_DM_OD_HI           (0x05u)
#define Relay1_DM_STRONG          (0x06u)
#define Relay1_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define Relay1_MASK               Relay1__MASK
#define Relay1_SHIFT              Relay1__SHIFT
#define Relay1_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Relay1_PS                     (* (reg32 *) Relay1__PS)
/* Port Configuration */
#define Relay1_PC                     (* (reg32 *) Relay1__PC)
/* Data Register */
#define Relay1_DR                     (* (reg32 *) Relay1__DR)
/* Input Buffer Disable Override */
#define Relay1_INP_DIS                (* (reg32 *) Relay1__PC2)


#if defined(Relay1__INTSTAT)  /* Interrupt Registers */

    #define Relay1_INTSTAT                (* (reg32 *) Relay1__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define Relay1_DRIVE_MODE_SHIFT       (0x00u)
#define Relay1_DRIVE_MODE_MASK        (0x07u << Relay1_DRIVE_MODE_SHIFT)


#endif /* End Pins Relay1_H */


/* [] END OF FILE */
