/*******************************************************************************
* File Name: Relay3.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Relay3_H) /* Pins Relay3_H */
#define CY_PINS_Relay3_H

#include "cytypes.h"
#include "cyfitter.h"
#include "Relay3_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Relay3_Write(uint8 value) ;
void    Relay3_SetDriveMode(uint8 mode) ;
uint8   Relay3_ReadDataReg(void) ;
uint8   Relay3_Read(void) ;
uint8   Relay3_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Relay3_DRIVE_MODE_BITS        (3)
#define Relay3_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - Relay3_DRIVE_MODE_BITS))
#define Relay3_DRIVE_MODE_SHIFT       (0x00u)
#define Relay3_DRIVE_MODE_MASK        (0x07u << Relay3_DRIVE_MODE_SHIFT)

#define Relay3_DM_ALG_HIZ         (0x00u << Relay3_DRIVE_MODE_SHIFT)
#define Relay3_DM_DIG_HIZ         (0x01u << Relay3_DRIVE_MODE_SHIFT)
#define Relay3_DM_RES_UP          (0x02u << Relay3_DRIVE_MODE_SHIFT)
#define Relay3_DM_RES_DWN         (0x03u << Relay3_DRIVE_MODE_SHIFT)
#define Relay3_DM_OD_LO           (0x04u << Relay3_DRIVE_MODE_SHIFT)
#define Relay3_DM_OD_HI           (0x05u << Relay3_DRIVE_MODE_SHIFT)
#define Relay3_DM_STRONG          (0x06u << Relay3_DRIVE_MODE_SHIFT)
#define Relay3_DM_RES_UPDWN       (0x07u << Relay3_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define Relay3_MASK               Relay3__MASK
#define Relay3_SHIFT              Relay3__SHIFT
#define Relay3_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Relay3_PS                     (* (reg32 *) Relay3__PS)
/* Port Configuration */
#define Relay3_PC                     (* (reg32 *) Relay3__PC)
/* Data Register */
#define Relay3_DR                     (* (reg32 *) Relay3__DR)
/* Input Buffer Disable Override */
#define Relay3_INP_DIS                (* (reg32 *) Relay3__PC2)


#if defined(Relay3__INTSTAT)  /* Interrupt Registers */

    #define Relay3_INTSTAT                (* (reg32 *) Relay3__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins Relay3_H */


/* [] END OF FILE */
