/*******************************************************************************
* File Name: Relay4.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Relay4_H) /* Pins Relay4_H */
#define CY_PINS_Relay4_H

#include "cytypes.h"
#include "cyfitter.h"
#include "Relay4_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Relay4_Write(uint8 value) ;
void    Relay4_SetDriveMode(uint8 mode) ;
uint8   Relay4_ReadDataReg(void) ;
uint8   Relay4_Read(void) ;
uint8   Relay4_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Relay4_DRIVE_MODE_BITS        (3)
#define Relay4_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - Relay4_DRIVE_MODE_BITS))

#define Relay4_DM_ALG_HIZ         (0x00u)
#define Relay4_DM_DIG_HIZ         (0x01u)
#define Relay4_DM_RES_UP          (0x02u)
#define Relay4_DM_RES_DWN         (0x03u)
#define Relay4_DM_OD_LO           (0x04u)
#define Relay4_DM_OD_HI           (0x05u)
#define Relay4_DM_STRONG          (0x06u)
#define Relay4_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define Relay4_MASK               Relay4__MASK
#define Relay4_SHIFT              Relay4__SHIFT
#define Relay4_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Relay4_PS                     (* (reg32 *) Relay4__PS)
/* Port Configuration */
#define Relay4_PC                     (* (reg32 *) Relay4__PC)
/* Data Register */
#define Relay4_DR                     (* (reg32 *) Relay4__DR)
/* Input Buffer Disable Override */
#define Relay4_INP_DIS                (* (reg32 *) Relay4__PC2)


#if defined(Relay4__INTSTAT)  /* Interrupt Registers */

    #define Relay4_INTSTAT                (* (reg32 *) Relay4__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define Relay4_DRIVE_MODE_SHIFT       (0x00u)
#define Relay4_DRIVE_MODE_MASK        (0x07u << Relay4_DRIVE_MODE_SHIFT)


#endif /* End Pins Relay4_H */


/* [] END OF FILE */
