/*******************************************************************************
* File Name: ProgramControl_TunerHelper.h
* Version 2.10
*
* Description:
*  This file provides constants and structure declarations for the tuner helper
*  APIs for the CapSense CSD component.
*
********************************************************************************
* Copyright 2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CAPSENSE_CSD_TUNERHELPER_ProgramControl_H)
#define CY_CAPSENSE_CSD_TUNERHELPER_ProgramControl_H

#include "ProgramControl.h"

#if(0u != ProgramControl_CSHL_API_GENERATE)
	#include "ProgramControl_CSHL.h"
#endif /* (0u != ProgramControl_CSHL_API_GENERATE) */

#if (ProgramControl_TUNER_API_GENERATE)
    #include "ProgramControl_MBX.h"
#endif /* (ProgramControl_TUNER_API_GENERATE) */


/***************************************
*     Constants for mailboxes
***************************************/

#define ProgramControl_DEFAULT_MAILBOXES_NUMBER   	(1u)

#define ProgramControl_CENTROID_POSITION_BUFFER_SIZE	(2u)
#define ProgramControl_MB_POSITION_BUFFER_SIZE		(2u)

#define ProgramControl_DEFAULT_TRACKPAD_INDEX			(0u) 

#define ProgramControl_FIRST_FINGER_INDEX   			(0u)
#define ProgramControl_SECOND_FINGER_INDEX   			(1u)

#define ProgramControl_FIRST_FINGER_X_INDEX			(0u)
#define ProgramControl_FIRST_FINGER_Y_INDEX			(1u)

#define ProgramControl_SECOND_FINGER_X_INDEX			(2u)
#define ProgramControl_SECOND_FINGER_Y_INDEX			(3u)


/***************************************
*        Function Prototypes
***************************************/

void ProgramControl_TunerStart(void);
void ProgramControl_TunerComm(void);

#if (ProgramControl_TUNER_API_GENERATE)
   ProgramControl_NO_STRICT_VOLATILE void ProgramControl_ProcessAllWidgets(volatile ProgramControl_OUTBOX *outbox);
#endif /* (ProgramControl_TUNER_API_GENERATE) */


/***************************************
*     Vars with External Linkage
***************************************/
#if (ProgramControl_TUNER_API_GENERATE)
	extern volatile ProgramControl_MAILBOXES ProgramControl_mailboxesComm;
#endif /* (ProgramControl_TUNER_API_GENERATE) */

#endif  /* (CY_CAPSENSE_CSD_TUNERHELPER_ProgramControl_H)*/


/* [] END OF FILE */
